Exit Code -9 From DADA2

Hi,
Is it the same problem as mentioned above? Is there a way to fix it? Please have a look on command I have used and the error I got. Thanks in advance!

PS C:\Users\ha1254ke\KHH006_Analysis> docker run -t -i -v C:\Users\ha1254ke\KHH006_Analysis:/data qiime2/core:2017.7 qiime dada2 denoise-paired --i-demultiplexed-seqs demux-paired-end.qza --o-table table --o-representative-sequences rep-seqs --p-trim-left-f 6 --p-trim-left-r 7 --p-trunc-len-f 300 --p-trunc-len-r 192

e[31me[1mPlugin error from dada2:

  An error was encountered while running DADA2 in R (return code -9),
  please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-_olzv864.log.e[0m

Pinging @benjjneb (the developer of DADA2)! Thanks!

@KEDIR_HAMZA

Could you please post the log file?

Hi,
Thank you for the reply!
Since I am new to Docker, it will probably take me more time to figure out how to extract log files from a docker container! I will get back to you as soon as the log file is extracted.

Hi @KEDIR_HAMZA, you could add the --verbose flag to your qiime command, and then copy and paste the output:

docker run -t -i -v C:\Users\ha1254ke\KHH006_Analysis:/data qiime2/core:2017.7 \
  qiime dada2 denoise-paired \
    --i-demultiplexed-seqs demux-paired-end.qza \
    --o-table table \
    --o-representative-sequences rep-seqs \
    --p-trim-left-f 6 \
    --p-trim-left-r 7 \
    --p-trunc-len-f 300 \
    --p-trunc-len-r 192 \
    --verbose

Hi,

PS C:\Users\ha1254ke\KHH006_Analysis> docker run -t -i -v C:\Users\ha1254ke\KHH006_Analysis:/data qiime2/core:2017.7 qiime dada2 denoise-paired --i-demultiplexed-seqs demux-paired-end.qza --o-table table --o-representative-sequences rep-seqs --p-trim-left-f 6 --p-trim-left-r 7 --p-trunc-len-f 300 --p-trunc-len-r 192 --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpiz6h5ne4/forward /tmp/tmpiz6h5ne4/reverse /tmp/tmpiz6h5ne4/output.tsv.biom /tmp/tmpiz6h5ne4/filt_f /tmp/tmpiz6h5ne4/filt_r 300 192 6 7 2.0 2 consensus 1.0 1 1000000

R version 3.3.1 (2016-06-21) 
Loading required package: Rcpp
Warning messages:
1: multiple methods tables found for ‘arbind’ 
2: multiple methods tables found for ‘acbind’ 
3: replacing previous import ‘IRanges::arbind’ by ‘SummarizedExperiment::arbind’ when loading ‘GenomicAlignments’ 
4: replacing previous import ‘IRanges::acbind’ by ‘SummarizedExperiment::acbind’ when loading ‘GenomicAlignments’ 
5: multiple methods tables found for ‘left’ 
6: multiple methods tables found for ‘right’ 
DADA2 R package version: 1.4.0 
1) Filtering Traceback (most recent call last):
  File "/opt/conda/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 179, in denoise_paired
    run_commands([cmd])
  File "/opt/conda/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 35, in run_commands
    subprocess.run(cmd, check=True)
  File "/opt/conda/lib/python3.5/subprocess.py", line 398, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpiz6h5ne4/forward', '/tmp/tmpiz6h5ne4/reverse', '/tmp/tmpiz6h5ne4/output.tsv.biom', '/tmp/tmpiz6h5ne4/filt_f', '/tmp/tmpiz6h5ne4/filt_r', '300', '192', '6', '7', '2.0', '2', 'c
onsensus', '1.0', '1', '1000000']' returned non-zero exit status -9

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/conda/lib/python3.5/site-packages/q2cli/commands.py", line 222, in __call__
    results = action(**arguments)
  File "<decorator-gen-126>", line 2, in denoise_paired
  File "/opt/conda/lib/python3.5/site-packages/qiime2/sdk/action.py", line 201, in callable_wrapper
    output_types, provenance)
  File "/opt/conda/lib/python3.5/site-packages/qiime2/sdk/action.py", line 334, in _callable_executor_
    output_views = callable(**view_args)
  File "/opt/conda/lib/python3.5/site-packages/q2_dada2/_denoise.py", line 194, in denoise_paired
    " and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

e[31me[1mPlugin error from dada2:

  An error was encountered while running DADA2 in R (return code -9),
  please inspect stdout and stderr to learn more.

See above for debug info.e[0m

The log file suggests that errors arose immediately upon encountering the input files, and before they were loaded and filtered.

Can you look again at the input file directory and confirm that the input files are in the appropriate format?

I’m having the exact the same error log as originally posted here and wanted to clarify.

By input files do you just mean the single paired-end-demux.qza file?
Also, is there a way to check that this artifact has been created properly and is in the appropriate format for dada2? I noticed that this input artifact (~3GB) wouldn’t show on qiime2-view, however my demux-summary.qzv artifact shows the interactive plots just fine.

Turns out the error was related to insufficient memory in my dedicated partition. There was less than 1 Gig left in my partition and so just creating some space solved the issue.

3 Likes

Hi Ben,
I hope you will excuse me for the late reply. I was on parental leave to take care of my new baby!

I have checked the input files and I think they are in the appropriate format.
On the other hand, the RAM assigned for the VM (Docker) was 2GB. Based on the suggestion given above, I have increased the RAM allocated for Docker to 8GB and now the script is running for almost 1 hr which was not the case previously. Hope this will solve the problem.

1 Like

Almost 7 hrs, dada2 denoise-paired is still running!

1 Like

Hi,
I would like to say thank you for your help. Upgrading the RAM size was enough to get it done. Dada2 denoise step has been successfully completed!

3 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.